For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pre-check

Endpoint usage

POST https://open.tronify.io/api/tronRent/flashUnstakePrecheck

The fields with * are required, and the fields without * are optional

Request Body

Name
Type
Description

fromAddress*

String

User address (Wallet address)

receiveAddress*

String

Receiving Address

{
    "resCode": 100,
    "resMsg": "Success",
    "data": {
        "fromAddress": "TWQFDEnAmgNPEFcQy46oggZLG3yDfXEokx",
        "receiveAddress": "TTkAKt1JFPcPzqbyrgRF199C1thy7DbBMb",
        "stakingSun": "241000000",  //Self-stake still in staking
        "unstakingSun": "0", //The amount currently unlocking and not yet matured
        "balanceSun": "178399356",  //The account's current available TRX balance.
        "hasDelegatedEnergy": false,  //Whether there is still any delegated energy that has not yet been reclaimed.
        "hasDelegatedBandwidth": false, //Any delegated bandwidth that has not yet been reclaimed
        "heldTokens": [
            {
                "symbol": "USDT",
                "address": "TR7NHqjexxxxxxxxxxxxxxxxxxx",
                "balance": "0.102308"
            }
        ],
        "feeRate": 0.05,  //Fee rate
        "unstakeLimitMin": 10,  //Minimum instant-redemption amount
        "unstakeLimitMax": 100000  //Maximum instant-redemption amount
    }
}
 

code example

Postman example

Last updated